<app-random-shows
  [isDisabled]="isDisabled"
  (randomClicked)="handleRandomShows()"
></app-random-shows>

<app-animated-title
  [inputWord]="UI.txt_shows"
  (isVisible)="handleVisible($event)"
></app-animated-title>

<app-spinner *ngIf="isLoading"></app-spinner>

<div
  [@fromTheDepths]="isContentVisible ? 'visible' : 'hidden'"
  class="page-container"
>
  <app-show
    *ngFor="
      let show of (this.searchService.searchResults.length
        ? this.searchService.searchResults
        : showsList
      )
        | paginate
          : {
              itemsPerPage: itemsPerPage,
              currentPage: currentPage
            }
    "
    [show]="isShowValid(show)"
  ></app-show>
</div>

<app-pagination
  *ngIf="!isLoading"
  [currentPage]="currentPage"
  (pageChanged)="handlePageChange($event)"
></app-pagination>
